#include <fstream>
using namespace std;
int kt(long int i)
{
	long int d;
	if (i<2)
	return 0;
	if (i==2)
	return 1;
	else
	{
		for (d=2;d<i;d++)
		{
		if (i%d==0)
		{
			return 0;
		}
	}
		return 1;
}}

int main ()
{
	ifstream f("cprime.inp");
	ofstream g("cprime.out");
	long int n,a[10000000];
	long int i;
	f>>n;
	for (i=1;i<=n;i++)
	{
		f>>a[i];
	}
	for (i=1;i<=n;i++)
	{
		if (kt(a[i])==1)
		g<<"YES"<<endl;
		else
		g<<"NO"<<endl;
	}
	f.close();
	g.close();
}
